<template>
  <el-steps :active="currentStep">
    <el-step v-for="(step,idx) in formatSteps" :key="step.key" :title="step.title" :status="step.status">
      <template #title>
         <span>{{step.title}}</span>
      </template>
    </el-step>
  </el-steps>
</template>
<script>
import config from '@/common/mx-config'

export default {
  props: {
    currentStep: {
      type:Number,
      default: 2
    }
  },
  data() {
    return {
      options: config.electiveGenerationOptions,
    }
  },
  computed: {
    formatSteps() {
      if(!this.options.length) return[]
      return this.options.filter(item => {
        return option.value
      })
    }
  }
}
</script>
<style></style>
